Name:          dependency-report-plugin
Version:       1.0.3
Release:       1%{?dist}
Summary:       Dependency Report Plugin
License:       ASL 2.0
URL:           https://github.com/codehaus/swizzle
Source0:       https://github.com/codehaus/swizzle/archive/dependency-report-plugin-1.0.3.tar.gz
# https://github.com/codehaus/swizzle/issues/2
Source1:       http://www.apache.org/licenses/LICENSE-2.0.txt
# Remove copy of the xbean-finder ResourceFinder class
Patch0:        %{name}-1.0.3-xbean-finder.patch

BuildRequires: maven-local
BuildRequires: mvn(asm:asm)
BuildRequires: mvn(cglib:cglib)
BuildRequires: mvn(org.apache.maven:maven-artifact)
BuildRequires: mvn(org.apache.maven:maven-compat)
BuildRequires: mvn(org.apache.maven:maven-core)
BuildRequires: mvn(org.apache.maven:maven-plugin-api)
BuildRequires: mvn(org.apache.maven.plugins:maven-plugin-plugin)
BuildRequires: mvn(org.apache.maven.shared:maven-plugin-testing-harness)
#BuildRequires: mvn(org.apache.xbean:xbean-finder)
BuildRequires: mvn(org.codehaus.plexus:plexus-utils)

BuildArch:     noarch

%description
Swizzle Dependency Report Maven Plugin.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n swizzle-%{name}-%{version}
#%% patch0 -p1
#%% pom_add_dep org.apache.xbean:xbean-finder:3.13

# Remove org.apache.maven.wagon:wagon-webdav:1.0-beta-1
%pom_xpath_remove "pom:build/pom:extensions"

# Use maven3 apis
%pom_change_dep :maven-project :maven-compat
%pom_xpath_set "pom:dependency[pom:groupId = 'org.apache.maven' ]/pom:version" 3.0.5

# java.lang.ClassNotFoundException: net.sf.cglib.proxy.CallbackFilter
%pom_add_dep cglib:cglib:2.2:test

# Use asm3
%pom_xpath_set "pom:dependency[pom:groupId = 'asm' ]/pom:version" 3.3.1
sed -i "s|classReader.accept(dependencyVisitor, true);|classReader.accept(dependencyVisitor, classReader.SKIP_DEBUG);|" \
 src/main/java/org/codehaus/swizzle/depreport/UsageMojo.java

cp -p %{SOURCE1} .
sed -i 's/\r//' LICENSE-2.0.txt

%mvn_file : %{name}

%build

%mvn_build -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files -f .mfiles
%license LICENSE-2.0.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE-2.0.txt

%changelog
* Sat Sep 14 2013 gil cattaneo <puntogil@libero.it> 1.0.3-1
- initial rpm
